Skip to main content
`Ctrl`+`K`

# UnknownUncertainty

class astropy.nddata.UnknownUncertainty(array=None, copy=True, unit=None)

  Bases: `NDUncertainty`

  This class implements any unknown uncertainty type.

  The main purpose of having an unknown uncertainty class is to prevent uncertainty propagation.

  Parameters:
    args, kwargs

      see `NDUncertainty`

  Attributes Summary

  `supports_correlated` | `False` : Uncertainty propagation is not possible for this class.
  `uncertainty_type` | `"unknown"` : `UnknownUncertainty` implements any unknown uncertainty type.

  Attributes Documentation

  supports_correlated

    `False` : Uncertainty propagation is not possible for this class.

  uncertainty_type

    `"unknown"` : `UnknownUncertainty` implements any unknown uncertainty type.